/***************************************************************************************
 *
 * debug.h is part of SimpleSkyCam.
 *
 *****************************************************************************************/

#ifndef _DEBUG_H_
#define _DEBUG_H_

#include "config.h"
#include "simpleskycam.h"
#include "gui.h"
#include "videoframe.h"

struct Debug_ThreadData {
	VideoFrameRaw raw;
};


#ifdef DEBUG_ANGLES
extern void debug_angles_draw(cairo_t *cr);
extern void debug_angles_motionevent(GdkEvent *event);
extern void debug_angles_btnpress(GdkEvent *event);
#endif

extern void debug_init();
extern void debug_tofile(char *fname, int isheader, char *fmt, ...);
extern inline void debug_lock_mutex();
extern inline void debug_unlock_mutex();
void debug_drawraw(unsigned char *data, int pixfmt, int w, int h);
void debug_backtrace ();


#endif
